Revision: 25500 == MAME/MESS/UME 0.150x1

Revision: 25500
Author: dhaywood
Date: 02 October 2013 18:32:45
Message:
update the note in saturn.xml too.
----
Modified : /trunk/hash/saturn.xml

Revision: 25499
Author: fabiopri
Date: 02 October 2013 18:25:40
Message:
(MESS) sat_cart.xml: added dump of Ultraman support cart [Team Europe]
----
Modified : /trunk/hash/sat_cart.xml

Revision: 25498
Author: dhaywood
Date: 02 October 2013 17:02:31
Message:
the other bootleg (nw)
----
Modified : /trunk/src/mame/drivers/cps3.c
Modified : /trunk/src/mame/mame.lst

Revision: 25497
Author: curtcode
Date: 02 October 2013 16:38:36
Message:
(MESS) ibm5170_cdrom.xml: Added Windows goodies. [Curt Coder]
----
Modified : /trunk/hash/ibm5170_cdrom.xml

Revision: 25496
Author: curtcode
Date: 02 October 2013 15:52:52
Message:
(MESS) ibm5170_cdrom.xml: Added CD-ROM software list with some Windows goodies. [Curt Coder]
----
Added : /trunk/hash/ibm5170_cdrom.xml

Revision: 25495
Author: curtcode
Date: 02 October 2013 15:12:40
Message:
(MESS) ibm5170.xml: Added some Windows'. [Curt Coder]
----
Modified : /trunk/hash/ibm5170.xml

Revision: 25494
Author: dhaywood
Date: 02 October 2013 15:00:46
Message:
minor change to carket (nw)
----
Modified : /trunk/src/mame/drivers/tumbleb.c

Revision: 25493
Author: robbbert
Date: 02 October 2013 13:56:06
Message:
(MESS) delete unused files (nw)
----
Deleted : /trunk/src/mess/includes/sapi1.h
Deleted : /trunk/src/mess/machine/sapi1.c
Deleted : /trunk/src/mess/video/sapi1.c

Revision: 25492
Author: robbbert
Date: 02 October 2013 13:49:43
Message:
(MESS) sapi1 : cleanup & wip (nw)
----
Modified : /trunk/src/mess/drivers/sapi1.c
Modified : /trunk/src/mess/mess.lst
Modified : /trunk/src/mess/mess.mak

Revision: 25491
Author: dhaywood
Date: 02 October 2013 04:27:23
Message:
use a slightly modified copy of the protection data from another game so we can actually coin up etc. until we have the real data. (nw)
----
Modified : /trunk/src/mame/drivers/tumbleb.c

Revision: 25490
Author: briantro
Date: 02 October 2013 04:15:34
Message:
peplus.c: Fix my recently introduced regression. - NW
----
Modified : /trunk/src/mame/drivers/peplus.c

Revision: 25489
Author: briantro
Date: 02 October 2013 04:06:56
Message:
peplus.c: Corrections... Fix PP0178 name and CG set, other minor notes or corrections. - NW
----
Modified : /trunk/src/mame/drivers/peplus.c

Revision: 25488
Author: dhaywood
Date: 02 October 2013 03:55:54
Message:
new NOT working
Carket Ball [ANY]

needs the real protection data extracting for this game, runs attract mode with data from others but can't coin it up.
----
Modified : /trunk/src/mame/drivers/tumbleb.c
Modified : /trunk/src/mame/includes/tumbleb.h
Modified : /trunk/src/mame/mame.lst

Revision: 25487
Author: dhaywood
Date: 02 October 2013 02:44:02
Message:
small note (nw)
----
Modified : /trunk/src/mame/drivers/cps3.c

Revision: 25486
Author: ryanholt
Date: 02 October 2013 02:25:15
Message:
Fix N64 controls, nw
----
Modified : /trunk/src/mame/includes/n64.h
Modified : /trunk/src/mame/machine/n64.c

Revision: 25485
Author: jgevarya
Date: 02 October 2013 02:12:21
Message:
(MESS) cat.c: add v331 IAI swyft firmware roms, and add .jed file dumps for the four swyft pals [Sandy Bumgarner, Lord Nightmare, Balrog]
----
Modified : /trunk/src/mess/drivers/cat.c

Revision: 25484
Author: dhaywood
Date: 02 October 2013 01:53:58
Message:
actually add the thing the new comments reference... (nw)
----
Modified : /trunk/src/mame/drivers/cps3.c
Modified : /trunk/src/mame/includes/cps3.h
Modified : /trunk/src/mame/mame.lst

Revision: 25483
Author: smf
Date: 02 October 2013 01:17:45
Message:
fixed mametesters 05318 [smf]
----
Modified : /trunk/src/emu/machine/atahle.c
Modified : /trunk/src/emu/machine/atahle.h

Revision: 25482
Author: smf
Date: 02 October 2013 00:51:19
Message:
fixed mametesters 05317 [smf]
----
Modified : /trunk/src/emu/machine/ataflash.c
Modified : /trunk/src/emu/machine/idehd.c

Revision: 25481
Author: briantro
Date: 02 October 2013 00:10:32
Message:
thepit.c: Dumped the color BPROM for, and corrected colors in, Desert Dan [Zab]
----
Modified : /trunk/src/mame/drivers/thepit.c

Revision: 25480
Author: curtcode
Date: 01 October 2013 22:29:39
Message:
(MESS) ibm5170.xml: Added some Windows SDKs. [Curt Coder]
----
Modified : /trunk/hash/ibm5170.xml

Revision: 25479
Author: philipbe
Date: 01 October 2013 21:02:53
Message:
05316: meikyuh, meikyuha: no sound in demo and in gameplay [Phil Bennett]
----
Modified : /trunk/src/mame/drivers/dec8.c

Revision: 25478
Author: michaelz
Date: 01 October 2013 20:26:41
Message:
(MESS) ti99: Constrain debugger access.

----
Modified : /trunk/src/mess/machine/ti99/datamux.c

Revision: 25477
Author: philipbe
Date: 01 October 2013 20:01:23
Message:
unico.c - Fix zeropnt2 sound routing
----
Modified : /trunk/src/mame/drivers/unico.c

Revision: 25476
Author: rbelmont
Date: 01 October 2013 15:12:22
Message:
Adding missed files (nw)

----
Added : /trunk/web/confirmexit.html
Added : /trunk/web/confirmhardreset.html
Added : /trunk/web/confirmsoftreset.html

Revision: 25475
Author: michaelz
Date: 01 October 2013 15:12:11
Message:
(MESS) ti99: Fixed a regression with speech caused by improper READY
handling from sound chip.

----
Modified : /trunk/src/mess/drivers/ti99_4x.c
Modified : /trunk/src/mess/machine/ti99/videowrp.c

Revision: 25474
Author: miodragm
Date: 01 October 2013 14:25:39
Message:
(MESS) New skeleton :
======================
- Dragon 200-E [robcfg]
----
Modified : /trunk/src/mess/drivers/dragon.c
Modified : /trunk/src/mess/mess.lst

Revision: 25473
Author: rbelmont
Date: 01 October 2013 13:18:54
Message:
web: JS cleanup and fixed a few minor bugs. [Firehawke]


----
Modified : /trunk/web/index.html

Revision: 25472
Author: barryrod
Date: 01 October 2013 12:01:16
Message:
wpc_an: added ROM banking, switches, and IRQs.  Games now start to boot.
----
Modified : /trunk/src/mame/drivers/wpc_an.c
Added : /trunk/src/mame/layout/wpc_an.lay
Modified : /trunk/src/mame/mame.mak

Revision: 25471
Author: ryanholt
Date: 01 October 2013 08:20:01
Message:
-N64 optimizations: [MooglyGuy]
  * Converted PIF RAM from 8-bit array to 32-bit array
  * Inlined color and alpha combiner equations
  * Moved a number of calculations in span rendering to outer loops
  * Flattened branch structure of texel fetching somewhat
----
Modified : /trunk/src/mame/includes/n64.h
Modified : /trunk/src/mame/machine/n64.c
Modified : /trunk/src/mame/video/n64.c
Modified : /trunk/src/mame/video/n64.h
Modified : /trunk/src/mame/video/rdpspn16.c
Modified : /trunk/src/mame/video/rdptpipe.c
Modified : /trunk/src/mame/video/rdptpipe.h

Revision: 25470
Author: michaelz
Date: 01 October 2013 00:16:14
Message:
(MESS) Using the split addressing (setaddress ... read/write)

----
Modified : /trunk/src/mess/drivers/geneve.c
Modified : /trunk/src/mess/drivers/ti99_4x.c
Modified : /trunk/src/mess/drivers/ti99_8.c
Modified : /trunk/src/mess/drivers/tm990189.c
Modified : /trunk/src/mess/machine/ti99/datamux.c
Modified : /trunk/src/mess/machine/ti99/datamux.h
Modified : /trunk/src/mess/machine/ti99/genboard.c
Modified : /trunk/src/mess/machine/ti99/genboard.h
Modified : /trunk/src/mess/machine/ti99/mapper8.c
Modified : /trunk/src/mess/machine/ti99/peribox.c
Modified : /trunk/src/mess/machine/ti99/peribox.h
Modified : /trunk/src/mess/machine/ti99/spchsyn.c
Modified : /trunk/src/mess/machine/ti99/spchsyn.h
Modified : /trunk/src/mess/machine/ti99/ti99defs.h

Revision: 25469
Author: michaelz
Date: 01 October 2013 00:15:43
Message:
(MESS) GROMs may now be used on different bases (needed in 99/8)

----
Modified : /trunk/src/mess/machine/ti99/grom.c
Modified : /trunk/src/mess/machine/ti99/gromport.c
Modified : /trunk/src/mess/machine/ti99/gromport.h

Revision: 25468
Author: michaelz
Date: 01 October 2013 00:14:38
Message:
CPUs now utilizing split addressing (setaddress ... read/write)

----
Modified : /trunk/src/emu/cpu/tms9900/tms9900.c
Modified : /trunk/src/emu/cpu/tms9900/tms9900.h
Modified : /trunk/src/emu/cpu/tms9900/tms9980a.c
Modified : /trunk/src/emu/cpu/tms9900/tms9995.c
Modified : /trunk/src/emu/cpu/tms9900/tms9995.h

Revision: 25467
Author: angelosa
Date: 30 September 2013 23:07:21
Message:
Deprecated MCFG_SCREEN_VBLANK_TIME() / MCFG_SCREEN_REFRESH_RATE() in favor of MCFG_SCREEN_RAW_PARAMS() function for the following drivers: [Angelo Salese]
* twin16.c (except fround)
* yunsun16.c
* yunsung8.c

----
Modified : /trunk/src/mame/drivers/twin16.c
Modified : /trunk/src/mame/drivers/yunsun16.c
Modified : /trunk/src/mame/drivers/yunsung8.c

Revision: 25466
Author: jameswal
Date: 30 September 2013 20:04:23
Message:
Added some more meter communication to System 5 and MPS, games should complain about less now [J. Wallace]
----
Modified : /trunk/src/mame/drivers/jpmmps.c
Modified : /trunk/src/mame/drivers/jpmsys5.c
Modified : /trunk/src/mame/includes/jpmsys5.h
Modified : /trunk/src/mame/mame.mak

Revision: 25465
Author: robbbert
Date: 30 September 2013 09:02:10
Message:
(MESS) pt68k4 : Connected to a terminal. System works with bios 0 (nw)
----
Modified : /trunk/src/mess/drivers/pt68k4.c

Revision: 25464
Author: robbbert
Date: 30 September 2013 06:26:07
Message:
(MESS) PP01 : added uart
----
Modified : /trunk/src/mess/drivers/pp01.c
Modified : /trunk/src/mess/includes/pp01.h
Modified : /trunk/src/mess/machine/pp01.c

Revision: 25463
Author: ryanholt
Date: 30 September 2013 06:09:03
Message:
-N64 RDP and RSP improvements [MooglyGuy, Marathon Man]
  * Fixed an RSP DMA edge case when transfer count is greater than 1.
  * Refactored the RDP blender implementation to use function pointers rather
    than deep if/else structures in order to reduce branch prediction penalties
    in the inner software rasterizer loop.
  * Reduced the likelihood that bad triangle commands due to an RSP crash will
    crash MESS.
----
Modified : /trunk/src/mame/machine/n64.c
Modified : /trunk/src/mame/video/n64.c
Modified : /trunk/src/mame/video/n64.h
Added : /trunk/src/mame/video/rdpbhelp.h
Modified : /trunk/src/mame/video/rdpblend.c
Modified : /trunk/src/mame/video/rdpblend.h
Modified : /trunk/src/mame/video/rdpspn16.c
Modified : /trunk/src/mame/video/rdptpipe.c
Modified : /trunk/src/mame/video/rdptpipe.h

Revision: 25462
Author: robbbert
Date: 30 September 2013 00:07:04
Message:
(MESS) PP01 : added sound
----
Modified : /trunk/src/mess/drivers/pp01.c
Modified : /trunk/src/mess/includes/pp01.h
Modified : /trunk/src/mess/machine/pp01.c
Modified : /trunk/src/mess/video/pp01.c

Revision: 25461
Author: curtcode
Date: 29 September 2013 22:39:40
Message:
(MESS) ibm5150.xml: Added Indianapolis 500 floppy image. [Curt Coder]
----
Modified : /trunk/hash/ibm5150.xml

Revision: 25460
Author: curtcode
Date: 29 September 2013 22:23:10
Message:
(MESS) ibm5170.xml: Added DR DOS 6.0 floppy images. [Curt Coder]
----
Modified : /trunk/hash/ibm5170.xml

Revision: 25459
Author: rbelmont
Date: 29 September 2013 17:30:29
Message:
web: modernized JS usage, fixed several bugs [Firehawke]


----
Modified : /trunk/web/index.html

Revision: 25458
Author: rbelmont
Date: 29 September 2013 16:30:43
Message:
(MESS) ec1841 updates: [shattered]
- Emulated the original keyboard
- DIP switches added
- Improved memory mapping


----
Modified : /trunk/src/mess/drivers/pc.c
Modified : /trunk/src/mess/includes/pc.h
Added : /trunk/src/mess/machine/kb_ec1841.c
Added : /trunk/src/mess/machine/kb_ec1841.h
Modified : /trunk/src/mess/machine/pc.c
Modified : /trunk/src/mess/machine/pc_keyboards.c
Modified : /trunk/src/mess/machine/pc_keyboards.h
Modified : /trunk/src/mess/mess.mak

Revision: 25457
Author: briantro
Date: 29 September 2013 04:59:42
Message:
peplus.c: Yes, let's update the parent too - NW
----
Modified : /trunk/src/mame/drivers/peplus.c

Revision: 25456
Author: briantro
Date: 29 September 2013 04:39:27
Message:
peplus.c: Fix wrong size roms of BAD_DUMP roms - NW
----
Modified : /trunk/src/mame/drivers/peplus.c

Revision: 25455
Author: briantro
Date: 29 September 2013 04:26:11
Message:
peplus.c: Minor adjustments - NW
----
Modified : /trunk/src/mame/drivers/peplus.c

Revision: 25454
Author: briantro
Date: 29 September 2013 04:20:11
Message:
new clones / sets added

peplus.c: Huge update of information, clones and new games. [BrianT]

New Games Added
-----------------------------------
Player's Edge Plus (Set001) Set Chip [BrianT, Kevin, Jim]
Player's Edge Plus (PP0103) Deuces Wild Poker [BrianT, Kevin, Jim]
Player's Edge Plus (PP0127) Deuces Joker Wild Poker [BrianT, Kevin, Jim]
Player's Edge Plus (PP0434) Bonus Poker Deluxe [BrianT, Kevin, Jim]
Player's Edge Plus (PP0452) Double Deuces Wild Poker [BrianT, Kevin, Jim]
Player's Edge Plus (PP0508) Loose Deuce Deuces Wild! Poker [BrianT, Kevin, Jim]
Player's Edge Plus (PP0542) One Eyed Jacks Wild Poker [BrianT, Kevin, Jim]
Player's Edge Plus (X002031P+XP000112) Lucky Deal Poker [BrianT, Kevin, Jim]
Player's Edge Plus (X002040P+XP000038) Nevada Bonus Poker [BrianT, Kevin, Jim]
Player's Edge Plus (X002042P+XP000038) Triple Bonus Poker [BrianT, Kevin, Jim]
Player's Edge Plus (X002067P+XP000038) Double Double Bonus Poker [BrianT, Kevin, Jim]
Player's Edge Plus (X002250P+XP000050) Shockwave Poker [BrianT, Kevin, Jim]
Player's Edge Plus (X002307P+XP000112) Triple Double Bonus Poker [BrianT, Kevin, Jim]
Player's Edge Plus (X002314P+XP000112) Triple Bonus Poker Plus [BrianT, Kevin, Jim]
Player's Edge Plus (XMP00002+XM00004P) Multi-Poker [BrianT, Kevin, Jim]
Player's Edge Plus (XMP00004+XM00005P) Multi-Poker [BrianT, Kevin, Jim]

New Clones Added
-------------------------------------------
Various Player's Edge Plus Poker sets (90+) [BrianT, Kevin, Jim]

----
Modified : /trunk/src/mame/drivers/peplus.c
Modified : /trunk/src/mame/mame.lst

Revision: 25453
Author: cowering
Date: 29 September 2013 02:30:02
Message:
see http://mikro.naprvyraz.sk/docs/Coding/Atari/Maggie/FPU.TXT and http://www.atari-forum.com/viewtopic.php?f=68&t=1646 for table used. Atari guys seem to have them all timed out
----
Modified : /trunk/src/emu/cpu/m68000/m68kfpu.c

Revision: 25452
Author: wilbertp
Date: 28 September 2013 14:24:12
Message:
MT05290: jngolady - Black screen  [Wilbert Pol]
----
Modified : /trunk/src/mame/drivers/jangou.c

Revision: 25451
Author: wilbertp
Date: 28 September 2013 14:09:32
Message:
m6800.c: Initialize some more variables on startup (nw)
----
Modified : /trunk/src/emu/cpu/m6800/m6800.c

Revision: 25450
Author: ryanholt
Date: 28 September 2013 06:14:23
Message:
Erroneous commit, nw
----
Modified : /trunk/src/emu/cpu/rsp/rsp.h

Revision: 25449
Author: ryanholt
Date: 28 September 2013 06:13:54
Message:
-Refactored N64 RDP blender to use function arrays in order to [MooglyGuy]
 flatten inner-loop branch structures for potential performance.

-Broke blender steps into individual #defines in order to make the [MooglyGuy]
 functional differences between RDP modes more apparent.
----
Modified : /trunk/src/emu/cpu/rsp/rsp.h
Modified : /trunk/src/emu/cpu/rsp/rspdrc.c
Modified : /trunk/src/mame/video/rdpblend.c
Modified : /trunk/src/mame/video/rdpblend.h
Modified : /trunk/src/mame/video/rdpspn16.c

Revision: 25448
Author: rbelmont
Date: 28 September 2013 04:52:54
Message:
(MESS) apogee: sound support [shattered]

----
Modified : /trunk/src/mess/drivers/apogee.c

Revision: 25447
Author: rbelmont
Date: 28 September 2013 02:57:53
Message:
m68k: add FSCALE instruction used by e.g. SimCity 2000 [R. Belmont]


----
Modified : /trunk/src/emu/cpu/m68000/m68kfpu.c
Modified : /trunk/src/lib/softfloat/fsincos.c
Modified : /trunk/src/lib/softfloat/fyl2x.c
Modified : /trunk/src/lib/softfloat/softfloat-specialize
Modified : /trunk/src/lib/softfloat/softfloat.h

Revision: 25446
Author: briantro
Date: 27 September 2013 19:05:23
Message:
new Afterburner II clone

New Clone Added
----------------------------------
After Burner II (German) [Andrew Welburn, The Dumping Union]
----
Modified : /trunk/src/mame/drivers/segaxbd.c
Modified : /trunk/src/mame/mame.lst

Revision: 25445
Author: dhaywood
Date: 27 September 2013 19:04:47
Message:
franticf appears to want this to wraparound (nw)

if anybody knows the TMS32010 better it would help if they looked at the wheel input (should be a steering wheel + single button) because I can't see how it maps, the other input port isn't read.  Maybe it generates an interrupt per tick or something?

page flip implementation also still seems wrong for this game.
----
Modified : /trunk/src/mame/video/lethalj.c

Revision: 25444
Author: dhaywood
Date: 27 September 2013 16:56:45
Message:
added some coins, dips etc. to Frantic Fred.. not sure how the directional movement should work tho.
----
Modified : /trunk/src/mame/drivers/lethalj.c

Revision: 25443
Author: robbbert
Date: 27 September 2013 12:56:10
Message:
(MESS) Modello T : added keyboard and cursor, notes.
----
Modified : /trunk/src/mess/drivers/modellot.c

Revision: 25442
Author: robbbert
Date: 27 September 2013 09:47:28
Message:
fixed compile error
----
Modified : /trunk/src/emu/cpu/rsp/rspdrc.c

Revision: 25441
Author: ryanholt
Date: 26 September 2013 22:42:57
Message:
Fixed non-SIMD mode, nw
----
Modified : /trunk/src/emu/cpu/rsp/rspdrc.c

Revision: 25440
Author: smf
Date: 26 September 2013 20:30:58
Message:
fixed dma_write_data parameter, even though it's not used and the dma isn't hooked up properly (nw)
----
Modified : /trunk/src/mame/drivers/konamigv.c

Revision: 25439
Author: ryanholt
Date: 26 September 2013 19:30:00
Message:
-RSP SIMD changes: [MooglyGuy, Marathon Man]
  * Converted high and middle accumulator slices into SIMD vectors.
  * Converted flag registers into SIMD vectors.
  * Fixed unaligned accesses in CFC2 opcode.
  * Added SCALAR_GET_VS1, SCALAR_GET_VS2, and SET_ACCUM_H/M/L to act as a
    passthrough to either the non-SIMD implementation or individual element
    insert/extract ops in order to minimize #if USE_SIMD all over the place.
  * Ported SIMD implementations of VMUDL, VMUDM, VMUDN, VMUDH, VMACF, VMACU,
    VMADL, VMADM, VMADN, and VMADH from CEN64 with permission
  * Resulted in an overall speedup of approximately 50% for RSP-bound scenes on
    a 2.5GHz i5.
----
Modified : /trunk/src/emu/cpu/rsp/rsp.c
Modified : /trunk/src/emu/cpu/rsp/rsp.h
Modified : /trunk/src/emu/cpu/rsp/rspdrc.c

Revision: 25438
Author: rbelmont
Date: 26 September 2013 18:23:10
Message:
web: Additional refactoring. [Firehawke]

----
Deleted : /trunk/web/driver.html
Deleted : /trunk/web/image.html
Modified : /trunk/web/index.html
Deleted : /trunk/web/info.html
Deleted : /trunk/web/logs.html
Deleted : /trunk/web/options.html

Revision: 25437
Author: rbelmont
Date: 26 September 2013 15:01:40
Message:
web: more UI improvements [Firehawke]

----
Modified : /trunk/src/emu/webengine.c
Modified : /trunk/web/index.html
Deleted : /trunk/web/loadstate.html
Deleted : /trunk/web/savestate.html

Revision: 25436
Author: philipbe
Date: 26 September 2013 14:50:12
Message:
tmnt.c - Confirmed and removed TMNT and TMNT2 BTANTB -nw-

Sources:
TMNT: http://www.youtube.com/watch?v=z9xJabf9a4Y
TMNT2: http://www.youtube.com/watch?v=HsgaeJ7oLFE
----
Modified : /trunk/src/mame/drivers/tmnt.c

Revision: 25435
Author: dhaywood
Date: 26 September 2013 12:56:58
Message:
set as clone (nw)
----
Modified : /trunk/src/mame/drivers/taito_f2.c

Revision: 25434
Author: robbbert
Date: 26 September 2013 12:47:34
Message:
(MESS) applix : more roms (nw)
----
Modified : /trunk/src/mess/drivers/applix.c

Revision: 25433
Author: philipbe
Date: 26 September 2013 12:44:56
Message:
darkseal2 - Set GAME_IMPERFECT_SOUND flag due to incorrect speech ROM -nw-
----
Modified : /trunk/src/mame/drivers/rohga.c

Revision: 25432
Author: dhaywood
Date: 26 September 2013 12:35:05
Message:
new clones - Growl (World, prototype) [dsyde, muddymusic]
----
Modified : /trunk/src/mame/drivers/taito_f2.c
Modified : /trunk/src/mame/mame.lst

Revision: 25431
Author: robbbert
Date: 26 September 2013 10:11:30
Message:
(MESS) ft68m : added remaining roms, bypassed self test, it starts up (nw)
----
Modified : /trunk/src/mess/drivers/ft68m.c

Revision: 25430
Author: philipbe
Date: 26 September 2013 09:42:15
Message:
darkseal2 - Marked mas10 sound ROM as BAD_DUMP as it is incorrect for this version (see MT 03941)
----
Modified : /trunk/src/mame/drivers/rohga.c

Revision: 25429
Author: dhaywood
Date: 26 September 2013 02:29:17
Message:
de-duplicate some code
----
Modified : /trunk/src/mame/drivers/unico.c
Modified : /trunk/src/mame/includes/unico.h
Modified : /trunk/src/mame/video/unico.c

Revision: 25428
Author: dhaywood
Date: 26 September 2013 02:02:39
Message:
fix a romset naming conflict pointed out on my site (nw)
----
Modified : /trunk/src/mess/machine/shark.c
Modified : /trunk/src/mess/machine/shark.h

Revision: 25427
Author: hap
Date: 25 September 2013 22:15:24
Message:
(companyname)
----
Modified : /trunk/src/mess/drivers/ft68m.c

Revision: 25426
Author: oliverst
Date: 25 September 2013 20:47:48
Message:
small change to mcs96 generation messages (nw)
----
Modified : /trunk/src/emu/cpu/cpu.mak

Revision: 25425
Author: hap
Date: 25 September 2013 20:25:52
Message:
protection emulation should be crashproof now
----
Modified : /trunk/src/mame/drivers/sidepckt.c
Modified : /trunk/src/mame/includes/sidepckt.h
Modified : /trunk/src/mame/video/sidepckt.c

Revision: 25424
Author: robbbert
Date: 25 September 2013 20:18:26
Message:
(MESS) New skeleton [Al Kossow, Robbbert]
-------------------------------------------------
Forward Technology FT-68M

----
Added : /trunk/src/mess/drivers/ft68m.c
Modified : /trunk/src/mess/mess.lst
Modified : /trunk/src/mess/mess.mak

Revision: 25423
Author: hap
Date: 25 September 2013 19:10:45
Message:
fix video frequency regression
----
Modified : /trunk/src/mame/drivers/ddragon3.c

Revision: 25422
Author: robbbert
Date: 25 September 2013 18:10:28
Message:
(MESS) votrtnt, votrpss : changed speech clock to value recommended on the datasheet
----
Modified : /trunk/src/mess/drivers/votrpss.c
Modified : /trunk/src/mess/drivers/votrtnt.c

Revision: 25421
Author: crazyc
Date: 25 September 2013 03:21:56
Message:
(mess) pc: mc1502 fdc reset fix [shattered]
----
Modified : /trunk/src/mess/drivers/pc.c
Modified : /trunk/src/mess/machine/pc.c

Revision: 25420
Author: dhaywood
Date: 25 September 2013 02:24:38
Message:
new clones
Erotictac/Tactic (set 2) [ANY]
Super Derby (v.10.04) [ANY]
----
Modified : /trunk/src/mame/drivers/ertictac.c
Modified : /trunk/src/mame/drivers/sderby.c
Modified : /trunk/src/mame/includes/sderby.h
Modified : /trunk/src/mame/mame.lst

Revision: 25419
Author: rbelmont
Date: 25 September 2013 00:54:31
Message:
(MESS)

Skeleton drivers:
-----------------
-Ensoniq EPS-16 Plus [R. Belmont]
-Ensoniq MR-61 Workstation [R. Belmont]


----
Modified : /trunk/src/mess/drivers/esq5505.c
Modified : /trunk/src/mess/drivers/esqmr.c
Modified : /trunk/src/mess/mess.lst

Revision: 25418
Author: dhaywood
Date: 24 September 2013 23:01:22
Message:
fix tile dirty marking in unico driver (been broken for 2.5 years!)
----
Modified : /trunk/src/mame/video/unico.c

Revision: 25417
Author: wilbertp
Date: 24 September 2013 19:36:38
Message:
m4510.c: Added memory_translate (nw)
----
Modified : /trunk/src/emu/cpu/m6502/m4510.c
Modified : /trunk/src/emu/cpu/m6502/m4510.h

Revision: 25416
Author: oliverst
Date: 24 September 2013 18:18:27
Message:
[MT05293] fixed VDP scanline settings in src/mame/machine/megadriv.c [Oliver Stöneberg]
----
Modified : /trunk/src/mame/machine/megadriv.c

Revision: 25415
Author: jgevarya
Date: 24 September 2013 17:24:14
Message:
Further work on swyft (n/w)
----
Modified : /trunk/src/mess/drivers/cat.c

Revision: 25414
Author: oliverst
Date: 24 September 2013 17:12:42
Message:
reverted changes to src/osd/windows/winprefix.h (nw)
----
Modified : /trunk/src/osd/windows/winprefix.h

Revision: 25413
Author: hap
Date: 24 September 2013 16:55:45
Message:
1943.c: Improved protection emulation [Dave]
----
Modified : /trunk/src/mame/drivers/1943.c
Modified : /trunk/src/mame/includes/1943.h

Revision: 25412
Author: oliverst
Date: 24 September 2013 16:07:13
Message:
[MT03450] show detailed NOT FOUND messages for missing CHDs [Oliver Stöneberg]
----
Modified : /trunk/src/emu/romload.c

Revision: 25411
Author: oliverst
Date: 24 September 2013 16:03:51
Message:
removed DISK_ISOPTIONAL macro in favor of identical ROM_ISOPTIONAL (nw)
----
Modified : /trunk/src/emu/info.c
Modified : /trunk/src/emu/romload.c
Modified : /trunk/src/emu/romload.h

Revision: 25410
Author: oliverst
Date: 24 September 2013 15:56:46
Message:
removed unused macro from src/osd/windows/winprefix.h (nw)
----
Modified : /trunk/src/osd/windows/winprefix.h

Revision: 25409
Author: rbelmont
Date: 24 September 2013 15:02:47
Message:
web: Fix web options reading from ini, improved load/save state UI [Firehawke]


----
Modified : /trunk/src/emu/emuopts.c
Modified : /trunk/src/emu/mame.c
Modified : /trunk/src/emu/webengine.c
Modified : /trunk/web/commands.html
Modified : /trunk/web/index.html

Revision: 25408
Author: hap
Date: 24 September 2013 15:01:11
Message:
fix rotr crash at boot
----
Modified : /trunk/src/mame/drivers/rastersp.c

Revision: 25407
Author: dhaywood
Date: 24 September 2013 14:59:15
Message:
change note slightly based on findings (nw)
----
Modified : /trunk/src/mame/drivers/toaplan2.c

Revision: 25406
Author: hap
Date: 24 September 2013 14:23:24
Message:
fix xmen6p missing sprites
----
Modified : /trunk/src/mame/video/xmen.c

Revision: 25405
Author: robbbert
Date: 24 September 2013 13:42:08
Message:
(MESS) votrpss : connected devices (nw)
----
Modified : /trunk/src/mess/drivers/votrpss.c

Revision: 25404
Author: briantro
Date: 24 September 2013 04:48:28
Message:
new (non-working) game

New Game Added
---------------------------------
Frantic Fred [Brian Troha]

Out of whatsnew: Needs controls, sound and dips worked out.

----
Modified : /trunk/src/mame/drivers/lethalj.c
Modified : /trunk/src/mame/mame.lst

Revision: 25403
Author: rbelmont
Date: 24 September 2013 01:05:58
Message:
cps3: improved readme with more hardware detail [Guru]


----
Modified : /trunk/src/mame/drivers/cps3.c

Revision: 25402
Author: rbelmont
Date: 24 September 2013 01:04:55
Message:
Previous commit fixes these issues (nw)

----
Modified : /trunk/hash/gx4000.xml

Revision: 25401
Author: alexjack
Date: 24 September 2013 00:02:14
Message:
amstrad.c: fix gx4000 inputs [Alex Jackson]
----
Modified : /trunk/src/mess/drivers/amstrad.c

Revision: 25400
Author: crazyc
Date: 23 September 2013 19:30:29
Message:
(mess) mc1502: cassette output, printer WIP, serial WIP, minor keyboard fix [shattered]
----
Modified : /trunk/src/emu/imagedev/serial.h
Modified : /trunk/src/mess/drivers/pc.c
Modified : /trunk/src/mess/includes/pc.h
Modified : /trunk/src/mess/machine/kb_7007_3.h
Modified : /trunk/src/mess/machine/pc.c

Revision: 25399
Author: jgevarya
Date: 23 September 2013 04:55:24
Message:
(MESS) cat.c: Switch swyft to use mc68008, split vram handler from cat vram handler due to bus width differece. Hook up VIAs to swyft. Further work on documenting the rom and ram layout of the swyft, pending hardware tests to figure out the via hookups. [Lord Nightmare, Dwight Elvey, Sandy Bumgarner]

Note that the swyft has regressed to displaying a blank screen due to currently incorrect hookup of the vias and their interrupts/timers, to be resolved with hardware testing.
----
Modified : /trunk/src/mess/drivers/cat.c

Revision: 25398
Author: rbelmont
Date: 22 September 2013 21:44:15
Message:
web: load and save states [Firehawke]


----
Modified : /trunk/src/emu/webengine.c
Modified : /trunk/web/commands.html
Modified : /trunk/web/index.html
Added : /trunk/web/loadstate.html
Added : /trunk/web/savestate.html

Revision: 25397
Author: rbelmont
Date: 22 September 2013 17:14:12
Message:
Added some notes (nw)

----
Modified : /trunk/hash/gx4000.xml

Revision: 25396
Author: hap
Date: 22 September 2013 14:33:54
Message:
fix the fix
----
Modified : /trunk/src/mess/machine/isa_stereo_fx.c

Revision: 25395
Author: curtcode
Date: 22 September 2013 11:53:04
Message:
(MESS) c64: Cleanup. (nw)
----
Modified : /trunk/src/mess/machine/c64/partner.c

Revision: 25394
Author: curtcode
Date: 22 September 2013 11:22:35
Message:
(MESS) c64: Emulated the PARTNER 64 cartridge. [Curt Coder]
----
Modified : /trunk/hash/c64_cart.xml
Modified : /trunk/src/mess/machine/c64/partner.c

Revision: 25393
Author: philipbe
Date: 22 September 2013 10:55:41
Message:
05303: All sets in harddriv.c: Wrong colors on title screen and during gameplay. [Phil Bennett]

m68000: The 68010 does not perform a read before write during a CLR instruction [Phil Bennett]


Sources:
http://www.opensource.apple.com/source/gcc/gcc-1765/gcc/config/m68k/m68k.c
"clr insns on 68000 read before writing. This isn't so on the 68010, but we have no TARGET_68010."

http://www.zophar.net/fileuploads/2/10544qufns/jag68k.txt
"The special thing about a CLR (on the 68000, fixed in the 68010 and onwards I believe) is, that the processor does a source read before doing a destination write."
----
Modified : /trunk/src/emu/cpu/m68000/m68k_in.c

Revision: 25392
Author: rbelmont
Date: 22 September 2013 04:08:59
Message:
Better Clang support, necessary for Xcode 5.0 on OS X [R. Belmont]


----
Modified : /trunk/src/osd/sdl/sdl.mak

Revision: 25391
Author: rbelmont
Date: 22 September 2013 03:57:55
Message:
more clang fixes (this also looks like a possible real bug?) (nw)

----
Modified : /trunk/src/emu/cpu/minx/minxopcf.h

Revision: 25390
Author: rbelmont
Date: 22 September 2013 03:46:05
Message:
fix likely typo shown by Clang (nw)

----
Modified : /trunk/src/mess/machine/isa_stereo_fx.c

Revision: 25389
Author: rbelmont
Date: 22 September 2013 03:39:30
Message:
SDL: work around incorrect warning generated by Clang [R. Belmont]


----
Modified : /trunk/src/osd/sdl/drawogl.c

Revision: 25388
Author: michaelz
Date: 21 September 2013 23:38:28
Message:
(MESS) Application of the AM_DEVSETOFFSET feature.

----
Modified : /trunk/src/mess/drivers/ti99_4x.c
Modified : /trunk/src/mess/machine/ti99/datamux.c
Modified : /trunk/src/mess/machine/ti99/datamux.h

Revision: 25387
Author: michaelz
Date: 21 September 2013 23:37:56
Message:
Application of the set_address (AM_SETOFFSET) feature.

----
Modified : /trunk/src/emu/cpu/tms9900/tms9900.c

Revision: 25386
Author: michaelz
Date: 21 September 2013 23:35:53
Message:
New AM_(DEV)SETOFFSET feature for address maps.

----
Modified : /trunk/src/emu/addrmap.c
Modified : /trunk/src/emu/addrmap.h
Modified : /trunk/src/emu/memory.c
Modified : /trunk/src/emu/memory.h

Revision: 25385
Author: curtcode
Date: 21 September 2013 22:20:33
Message:
(MESS) c64: Implemented logic for PARTNER 64 cartridge. (nw)
----
Modified : /trunk/hash/c64_cart.xml
Modified : /trunk/src/mess/machine/c64/partner.c
Modified : /trunk/src/mess/machine/c64/partner.h

Revision: 25384
Author: briantro
Date: 21 September 2013 21:32:16
Message:
nmk16.c: Fix some Dolmen dipswitches and correct "Sen Jin - Guardian Storm" to "Jeon Sin - Guardian Storm" as per Hardcore Gaming 101's "A History of Korean Gaming" and the page about Afega games. - NW
----
Modified : /trunk/src/mame/drivers/nmk16.c
Modified : /trunk/src/mame/mame.lst

Revision: 25383
Author: angelosa
Date: 21 September 2013 12:39:06
Message:
Minor mods to make test1f diag life easier, nw
----
Modified : /trunk/src/mame/drivers/stv.c
Modified : /trunk/src/mess/drivers/saturn.c

Revision: 25382
Author: rbelmont
Date: 21 September 2013 02:38:10
Message:
cps3: Added some new (and some previously just not included) documentation. [R. Belmont, based on a patch by Darksoft]

----
Modified : /trunk/src/mame/drivers/cps3.c

Revision: 25381
Author: rbelmont
Date: 21 September 2013 02:37:19
Message:
sh2: Show effective address in disassembly of PC-relative instructions [R. Belmont, based on a patch by Darksoft]


----
Modified : /trunk/src/emu/cpu/sh2/sh2dasm.c

Revision: 25380
Author: curtcode
Date: 20 September 2013 21:05:55
Message:
(MESS) c64: Added placeholder for PARTNER 64 cartridge. (nw)
----
Modified : /trunk/hash/c64_cart.xml
Modified : /trunk/src/mess/machine/c64/exp.c
Modified : /trunk/src/mess/machine/c64/exp.h
Added : /trunk/src/mess/machine/c64/partner.c
Added : /trunk/src/mess/machine/c64/partner.h
Modified : /trunk/src/mess/mess.mak

Revision: 25379
Author: tafoid
Date: 20 September 2013 19:39:57
Message:
[MESS] a7800.c - Cleanup of address maps, high score maps added [Robert Tuccitto]

[MESS] nes.c - Documented new PAL NES clone called "Golden China TV Game"  [kaylee]

----
Modified : /trunk/src/mess/drivers/a7800.c
Modified : /trunk/src/mess/drivers/nes.c
Modified : /trunk/src/mess/mess.lst

Revision: 25378
Author: curtcode
Date: 20 September 2013 17:27:08
Message:
(MESS) c64: Cleanup. (nw)
----
Modified : /trunk/src/mess/machine/c64/cpm.c
Modified : /trunk/src/mess/machine/c64/cpm.h
Modified : /trunk/src/mess/machine/c64/easyflash.c
Modified : /trunk/src/mess/machine/c64/easyflash.h
Modified : /trunk/src/mess/machine/c64/exos.c
Modified : /trunk/src/mess/machine/c64/exos.h
Modified : /trunk/src/mess/machine/c64/exp.c
Modified : /trunk/src/mess/machine/c64/exp.h
Modified : /trunk/src/mess/machine/c64/ide64.c
Modified : /trunk/src/mess/machine/c64/ide64.h
Modified : /trunk/src/mess/machine/c64/ieee488.c
Modified : /trunk/src/mess/machine/c64/ieee488.h
Modified : /trunk/src/mess/machine/c64/kingsoft.c
Modified : /trunk/src/mess/machine/c64/kingsoft.h
Modified : /trunk/src/mess/machine/c64/magic_formel.c
Modified : /trunk/src/mess/machine/c64/magic_formel.h
Modified : /trunk/src/mess/machine/c64/magic_voice.c
Modified : /trunk/src/mess/machine/c64/magic_voice.h
Modified : /trunk/src/mess/machine/c64/music64.c
Modified : /trunk/src/mess/machine/c64/music64.h
Modified : /trunk/src/mess/machine/c64/sfx_sound_expander.c
Modified : /trunk/src/mess/machine/c64/sfx_sound_expander.h
Modified : /trunk/src/mess/machine/c64/stardos.c
Modified : /trunk/src/mess/machine/c64/stardos.h
Modified : /trunk/src/mess/machine/c64/supercpu.c
Modified : /trunk/src/mess/machine/c64/supercpu.h
Modified : /trunk/src/mess/machine/c64/tdos.c
Modified : /trunk/src/mess/machine/c64/tdos.h
Modified : /trunk/src/mess/machine/c64/vw64.h
Modified : /trunk/src/mess/machine/c64/xl80.h

Revision: 25377
Author: miodragm
Date: 20 September 2013 12:55:25
Message:
updated Acron A3010 roms labels and added battery management program rom [robcfg]
----
Modified : /trunk/src/mess/drivers/a310.c

Revision: 25376
Author: rbelmont
Date: 20 September 2013 04:20:28
Message:
web: Fix rendering issues on WebKit-based phones in portrait mode, added pause/unpause toggle. [Firehawke]


----
Modified : /trunk/src/emu/webengine.c
Modified : /trunk/web/commands.html
Modified : /trunk/web/index.html

Revision: 25375
Author: curtcode
Date: 19 September 2013 21:59:48
Message:
(MESS) New System Drivers Supported:
-----------------------------
- NTS DreamWriter 225 [robcfg, Curt Coder]
----
Modified : /trunk/src/mess/drivers/nc.c
Modified : /trunk/src/mess/mess.lst

Revision: 25374
Author: curtcode
Date: 19 September 2013 21:41:53
Message:
(MESS) Legacy removal. (nw)
----
Modified : /trunk/src/mess/drivers/c128.c
Modified : /trunk/src/mess/drivers/c64.c
Modified : /trunk/src/mess/drivers/c65.c
Modified : /trunk/src/mess/drivers/pet.c
Modified : /trunk/src/mess/drivers/plus4.c
Modified : /trunk/src/mess/drivers/primo.c
Modified : /trunk/src/mess/includes/c128.h
Modified : /trunk/src/mess/includes/c64.h
Deleted : /trunk/src/mess/includes/cbm.h
Modified : /trunk/src/mess/includes/cbm2.h
Modified : /trunk/src/mess/includes/pet.h
Modified : /trunk/src/mess/includes/plus4.h
Modified : /trunk/src/mess/includes/softbox.h
Modified : /trunk/src/mess/includes/vic10.h
Modified : /trunk/src/mess/includes/vic20.h
Modified : /trunk/src/mess/machine/c1541.h
Modified : /trunk/src/mess/machine/c1551.h
Modified : /trunk/src/mess/machine/c1571.h
Modified : /trunk/src/mess/machine/c1581.h
Modified : /trunk/src/mess/machine/c2031.c
Modified : /trunk/src/mess/machine/c2031.h
Modified : /trunk/src/mess/machine/c2040.h
Modified : /trunk/src/mess/machine/c64/exp.c
Modified : /trunk/src/mess/machine/c64/exp.h
Modified : /trunk/src/mess/machine/c64/ieee488.h
Modified : /trunk/src/mess/machine/c64/magic_voice.h
Modified : /trunk/src/mess/machine/c64/music64.h
Modified : /trunk/src/mess/machine/c64/sfx_sound_expander.h
Modified : /trunk/src/mess/machine/c64/supercpu.h
Modified : /trunk/src/mess/machine/c64/tdos.h
Modified : /trunk/src/mess/machine/c64/user.c
Modified : /trunk/src/mess/machine/c64/user.h
Modified : /trunk/src/mess/machine/c65.c
Modified : /trunk/src/mess/machine/c8280.h
Deleted : /trunk/src/mess/machine/cbm.c
Modified : /trunk/src/mess/machine/cbm2exp.c
Modified : /trunk/src/mess/machine/cbm2exp.h
Modified : /trunk/src/mess/machine/cbm2user.c
Modified : /trunk/src/mess/machine/cbm2user.h
Modified : /trunk/src/mess/machine/cbmiec.c
Modified : /trunk/src/mess/machine/cbmiec.h
Deleted : /trunk/src/mess/machine/cbmipt.c
Deleted : /trunk/src/mess/machine/cbmipt.h
Modified : /trunk/src/mess/machine/cmdhd.h
Modified : /trunk/src/mess/machine/d9060.h
Modified : /trunk/src/mess/machine/fd2000.h
Modified : /trunk/src/mess/machine/hardbox.h
Modified : /trunk/src/mess/machine/ieee488.c
Modified : /trunk/src/mess/machine/ieee488.h
Modified : /trunk/src/mess/machine/interpod.h
Modified : /trunk/src/mess/machine/petcass.c
Modified : /trunk/src/mess/machine/petcass.h
Modified : /trunk/src/mess/machine/petexp.c
Modified : /trunk/src/mess/machine/petexp.h
Modified : /trunk/src/mess/machine/petuser.c
Modified : /trunk/src/mess/machine/petuser.h
Modified : /trunk/src/mess/machine/plus4_sid.h
Modified : /trunk/src/mess/machine/plus4exp.c
Modified : /trunk/src/mess/machine/plus4exp.h
Modified : /trunk/src/mess/machine/plus4user.c
Modified : /trunk/src/mess/machine/plus4user.h
Modified : /trunk/src/mess/machine/serialbox.h
Modified : /trunk/src/mess/machine/shark.h
Modified : /trunk/src/mess/machine/softbox.h
Modified : /trunk/src/mess/machine/vic1010.h
Modified : /trunk/src/mess/machine/vic10exp.c
Modified : /trunk/src/mess/machine/vic10exp.h
Modified : /trunk/src/mess/machine/vic1112.h
Modified : /trunk/src/mess/machine/vic20exp.c
Modified : /trunk/src/mess/machine/vic20exp.h
Modified : /trunk/src/mess/machine/vic20user.c
Modified : /trunk/src/mess/machine/vic20user.h
Modified : /trunk/src/mess/mess.mak

Revision: 25373
Author: wilbertp
Date: 19 September 2013 21:21:34
Message:
m4510.c: Fix typo (nw)
----
Modified : /trunk/src/emu/cpu/m6502/m4510.c

Revision: 25372
Author: smf
Date: 19 September 2013 11:18:21
Message:
Moved the adaptec mode sense handling into the ACB4070 device [smf]
----
Modified : /trunk/src/emu/machine/scsihle.c
Modified : /trunk/src/emu/machine/scsihle.h
Modified : /trunk/src/mess/machine/acb4070.c
Modified : /trunk/src/mess/machine/acb4070.h

Revision: 25371
Author: crazyc
Date: 19 September 2013 03:21:26
Message:
(mess) fix mc1502 (nw)
----
Modified : /trunk/src/mess/machine/pc.c

Revision: 25370
Author: rbelmont
Date: 19 September 2013 01:27:16
Message:
web: fixed hardcoded hostname and port in index.html. [Firehawke]


----
Modified : /trunk/web/index.html

Revision: 25369
Author: hap
Date: 18 September 2013 14:18:58
Message:
ok, revert to 8way for now
----
Modified : /trunk/src/mame/drivers/flower.c

Revision: 25368
Author: philipbe
Date: 18 September 2013 00:28:45
Message:
kungfum: Use 8-way joysticks [Phil Bennett]

Reference: http://www.crazykong.com/manuals/KungFuMaster.man.pdf 
----
Modified : /trunk/src/mame/drivers/m62.c

Revision: 25367
Author: tafoid
Date: 17 September 2013 20:43:53
Message:
Minor typo fix for a7800.c color information (nw)
----
Modified : /trunk/src/mess/drivers/a7800.c

Revision: 25366
Author: smf
Date: 17 September 2013 19:23:52
Message:
Use virtual multiple inheritance to share command processing between SCSI & ATAPI instead of having a SCSI subdevice. This allows matsushita_cr589_device & gdrom_device to derive from atapi_cdrom_device. [smf]
----
Modified : /trunk/src/emu/machine/am53cf96.c
Modified : /trunk/src/emu/machine/atapicdr.c
Modified : /trunk/src/emu/machine/atapicdr.h
Modified : /trunk/src/emu/machine/atapihle.c
Modified : /trunk/src/emu/machine/atapihle.h
Modified : /trunk/src/emu/machine/cr589.c
Modified : /trunk/src/emu/machine/cr589.h
Modified : /trunk/src/emu/machine/machine.mak
Modified : /trunk/src/emu/machine/ncr539x.c
Modified : /trunk/src/emu/machine/scsicd.c
Modified : /trunk/src/emu/machine/scsicd.h
Modified : /trunk/src/emu/machine/scsihd.c
Modified : /trunk/src/emu/machine/scsihd.h
Modified : /trunk/src/emu/machine/scsihle.c
Modified : /trunk/src/emu/machine/scsihle.h
Added : /trunk/src/emu/machine/t10mmc.c
Added : /trunk/src/emu/machine/t10mmc.h
Added : /trunk/src/emu/machine/t10sbc.c
Added : /trunk/src/emu/machine/t10sbc.h
Added : /trunk/src/emu/machine/t10spc.c
Added : /trunk/src/emu/machine/t10spc.h
Modified : /trunk/src/emu/machine/wd33c93.c
Modified : /trunk/src/mame/drivers/firebeat.c
Modified : /trunk/src/mame/drivers/ksys573.c
Modified : /trunk/src/mame/machine/gdrom.c
Modified : /trunk/src/mame/machine/gdrom.h
Modified : /trunk/src/mess/drivers/dccons.c
Modified : /trunk/src/mess/machine/acb4070.c
Modified : /trunk/src/mess/machine/acb4070.h
Modified : /trunk/src/mess/machine/d9060hd.c
Modified : /trunk/src/mess/machine/d9060hd.h
Modified : /trunk/src/mess/machine/fm_scsi.c
Modified : /trunk/src/mess/machine/mb89352.c
Modified : /trunk/src/mess/machine/ncr5380.c
Modified : /trunk/src/mess/machine/s1410.c
Modified : /trunk/src/mess/machine/s1410.h
Modified : /trunk/src/mess/machine/sa1403d.c
Modified : /trunk/src/mess/machine/sa1403d.h
Modified : /trunk/src/osd/windows/vconv.c

Revision: 25365
Author: smf
Date: 17 September 2013 18:55:42
Message:
fix for building with Visual Studio 2012 (nw)
----
Modified : /trunk/src/lib/web/mongoose.c

Revision: 25364
Author: smf
Date: 17 September 2013 15:48:06
Message:
fixed regression in Crypt Killer [smf]
----
Modified : /trunk/src/mame/drivers/konamigq.c

Revision: 25363
Author: dhaywood
Date: 17 September 2013 15:22:20
Message:
new working game
Dolmen [Renato Mucciarelli, Brian Troha, The Dumping Union]
----
Modified : /trunk/src/mame/drivers/nmk16.c
Modified : /trunk/src/mame/mame.lst

Revision: 25362 == MAME/MESS/UME 0.150